val scala3: String = "3.6.4"

ThisBuild / scalaVersion  := scala3
ThisBuild / versionScheme := Some("semver-spec")
ThisBuild / gsProjectName := "gs-uuid"

ThisBuild / licenses := Seq(
  "Apache 2.0" -> url(
    "https://git.garrity.co/garrity-software/gs-uuid/src/branch/main/LICENSE"
  )
)

val sharedSettings = Seq(
  scalaVersion               := scala3,
  version                    := semVerSelected.value,
  coverageFailOnMinimum      := true,
  coverageMinimumStmtTotal   := 100,
  coverageMinimumBranchTotal := 100
)

lazy val testSettings = Seq(
  libraryDependencies ++= Seq(
    "org.scalameta" %% "munit" % "1.1.0" % Test
  )
)

lazy val `gs-uuid` = project
  .in(file("."))
  .settings(sharedSettings)
  .settings(testSettings)
  .settings(name := s"${gsProjectName.value}-v${semVerMajor.value}")
  .settings(
    libraryDependencies ++= Seq(
      "com.fasterxml.uuid" % "java-uuid-generator" % "5.1.0"
    )
  )
